/**
 * (c) by aheadware.com
 */

var app = app || {};
app.state = app.state || {};

app.state.Error = function()
{
    var state = app.core.StateManager.createState( 'error' );

    state.onEnter = function( p )
    {
        app.core.View.getBody().append(
            app.core.View.getTemplate( 'error', { errorCode : p.errorCode } )
        );
    };

    return state;
};